/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * atanh(vec4(np.float32(-0.99), np.float32(-0.33), np.float32(0.33), np.float32(0.99))) => vec4(np.float32(-2.646653), np.float32(-0.34282827), np.float32(0.34282827), np.float32(2.646653))
 */
#version 150

void main()
{
  float[distance(atanh(vec4(np.float32(-0.99), np.float32(-0.33), np.float32(0.33), np.float32(0.99))), vec4(np.float32(-2.646653), np.float32(-0.34282827), np.float32(0.34282827), np.float32(2.646653))) <= np.float32(0.003774203) ? 1 : -1] array0;
  gl_Position = vec4(array0.length());
}
