/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(3.2), np.float32(3.06), np.float32(1.52), np.float32(-2.0))
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(1.47), np.float32(0.13), np.float32(-0.110000014), np.float32(0.39999998))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(1.47), np.float32(0.13), np.float32(-0.110000014), np.float32(0.39999998))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-0.26), np.float32(-2.8), np.float32(-1.74), np.float32(2.8))
 */
#version 120

void main()
{
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(3.2), np.float32(3.06))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(1.52), np.float32(-2.0))), 2) <= np.float32(2.5913998e-09) ? 1 : -1] array0;
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(1.47), np.float32(0.13))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.110000014), np.float32(0.39999998))), 2) <= np.float32(2.3499003e-10) ? 1 : -1] array1;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(1.47), np.float32(0.13))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(-0.110000014), np.float32(0.39999998))), 2) <= np.float32(2.3499003e-10) ? 1 : -1] array2;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-0.26), np.float32(-2.8))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) + mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-1.74), np.float32(2.8))), 2) <= np.float32(1.87752e-09) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
