/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * floor(vec2(np.float32(-2.0), np.float32(-0.6666667))) => vec2(np.float32(-2.0), np.float32(-1.0))
 * floor(vec2(np.float32(0.6666667), np.float32(2.0))) => vec2(np.float32(0.0), np.float32(2.0))
 */
#version 150

void main()
{
  float[distance(floor(vec2(np.float32(-2.0), np.float32(-0.6666667))), vec2(np.float32(-2.0), np.float32(-1.0))) <= np.float32(2.236068e-05) ? 1 : -1] array0;
  float[distance(floor(vec2(np.float32(0.6666667), np.float32(2.0))), vec2(np.float32(0.0), np.float32(2.0))) <= np.float32(2e-05) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
