/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(3.7228), np.float32(0.91800004), np.float32(0.456), np.float32(2.1628))
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(-1.272), np.float32(1.2011), np.float32(-0.32800007), np.float32(-2.7310998))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))) => mat2(np.float32(-1.5390999), np.float32(-0.09800007), np.float32(0.7712), np.float32(-2.464))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))) => mat2(np.float32(1.2349), np.float32(-1.778), np.float32(-1.1049), np.float32(3.178))
 */
#version 150

void main()
{
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(3.7228), np.float32(0.91800004))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.456), np.float32(2.1628))), 2) <= np.float32(1.9587605e-09) ? 1 : -1] array0;
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(-1.272), np.float32(1.2011))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-0.32800007), np.float32(-2.7310998))), 2) <= np.float32(1.0627117e-09) ? 1 : -1] array1;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[0], vec2(np.float32(-1.5390999), np.float32(-0.09800007))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)))[1], vec2(np.float32(0.7712), np.float32(-2.464))), 2) <= np.float32(9.0444785e-10) ? 1 : -1] array2;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[0], vec2(np.float32(1.2349), np.float32(-1.778))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) * mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)))[1], vec2(np.float32(-1.1049), np.float32(3.178))), 2) <= np.float32(1.6006749e-09) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
