/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) + dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(-3.3)lf, np.float64(2.66)lf, np.float64(3.86)lf, np.float64(1.52)lf)
 * (dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) + dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(-0.8499999999999999)lf, np.float64(1.1800000000000002)lf, np.float64(1.42)lf, np.float64(0.76)lf)
 * (dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) + dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)) => dvec4(np.float64(-0.8499999999999999)lf, np.float64(1.1800000000000002)lf, np.float64(1.42)lf, np.float64(0.76)lf)
 * (dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) + dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)) => dvec4(np.float64(1.6)lf, np.float64(-0.3)lf, np.float64(-1.02)lf, np.float64(0.0)lf)
 */
#version 400

void main()
{
  double[distance((dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) + dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(-3.3)lf, np.float64(2.66)lf, np.float64(3.86)lf, np.float64(1.52)lf)) <= np.float64(5.930902123623353e-05)lf ? 1 : -1] array0;
  double[distance((dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf) + dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(-0.8499999999999999)lf, np.float64(1.1800000000000002)lf, np.float64(1.42)lf, np.float64(0.76)lf)) <= np.float64(2.1700000000000002e-05)lf ? 1 : -1] array1;
  double[distance((dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) + dvec4(np.float64(-1.65)lf, np.float64(1.33)lf, np.float64(1.93)lf, np.float64(0.76)lf)), dvec4(np.float64(-0.8499999999999999)lf, np.float64(1.1800000000000002)lf, np.float64(1.42)lf, np.float64(0.76)lf)) <= np.float64(2.1700000000000002e-05)lf ? 1 : -1] array2;
  double[distance((dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf) + dvec4(np.float64(0.8)lf, np.float64(-0.15)lf, np.float64(-0.51)lf, np.float64(0.0)lf)), dvec4(np.float64(1.6)lf, np.float64(-0.3)lf, np.float64(-1.02)lf, np.float64(0.0)lf)) <= np.float64(1.9210413842496995e-05)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
